<html>
<head>
<title>OGRE: Ogre::AnimationStateControllerValue Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1AnimationStateControllerValue.html">AnimationStateControllerValue</a></div>
<h1>Ogre::AnimationStateControllerValue Class Reference</h1><!-- doxytag: class="Ogre::AnimationStateControllerValue" --><!-- doxytag: inherits="Ogre::ControllerValue" --><a class="el" href="classOgre_1_1ControllerValue.html" title="Can either be used as an input or output value.">ControllerValue</a> wrapper class for <a class="el" href="classOgre_1_1AnimationState.html" title="Represents the state of an animation and the weight of it&#39;s influence.">AnimationState</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::AnimationStateControllerValue:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1AnimationStateControllerValue-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateControllerValue.html#eb2ae06f4c83bb901a21a60e8071b2ae">AnimationStateControllerValue</a> (<a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> *targetAnimationState)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor, pass in the target animation state.  <a href="#eb2ae06f4c83bb901a21a60e8071b2ae"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateControllerValue.html#252f8e4d8d9a3f0589ac45f75a97a24a">~AnimationStateControllerValue</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destructor (parent already virtual).  <a href="#252f8e4d8d9a3f0589ac45f75a97a24a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateControllerValue.html#447ecf125e179012a1efe947d0343b02">getValue</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1ControllerValue.html" title="Can either be used as an input or output value.">ControllerValue</a> implementation.  <a href="#447ecf125e179012a1efe947d0343b02"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateControllerValue.html#91cba7b97509704127ccbbb712a5df6c">setValue</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1ControllerValue.html" title="Can either be used as an input or output value.">ControllerValue</a> implementation.  <a href="#91cba7b97509704127ccbbb712a5df6c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerValue.html#b719e69a47857662b71041b9c74e546b">setValue</a> (T value)=0</td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateControllerValue.html#704120944d35dad25859a6f2bd5f8fc5">mTargetAnimationState</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<a class="el" href="classOgre_1_1ControllerValue.html" title="Can either be used as an input or output value.">ControllerValue</a> wrapper class for <a class="el" href="classOgre_1_1AnimationState.html" title="Represents the state of an animation and the weight of it&#39;s influence.">AnimationState</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>In Azathoth and earlier, <a class="el" href="classOgre_1_1AnimationState.html" title="Represents the state of an animation and the weight of it&#39;s influence.">AnimationState</a> was a <a class="el" href="classOgre_1_1ControllerValue.html" title="Can either be used as an input or output value.">ControllerValue</a> but this actually causes memory problems since Controllers delete their values automatically when there are no further references to them, but <a class="el" href="classOgre_1_1AnimationState.html" title="Represents the state of an animation and the weight of it&#39;s influence.">AnimationState</a> is deleted explicitly elsewhere so this causes double-free problems. This wrapper acts as a bridge and it is this which is destroyed automatically. </dd></dl>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00207">207</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="eb2ae06f4c83bb901a21a60e8071b2ae"></a><!-- doxytag: member="Ogre::AnimationStateControllerValue::AnimationStateControllerValue" ref="eb2ae06f4c83bb901a21a60e8071b2ae" args="(AnimationState *targetAnimationState)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::AnimationStateControllerValue::AnimationStateControllerValue           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> *&nbsp;</td>
          <td class="paramname"> <em>targetAnimationState</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor, pass in the target animation state. 
<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00213">213</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="252f8e4d8d9a3f0589ac45f75a97a24a"></a><!-- doxytag: member="Ogre::AnimationStateControllerValue::~AnimationStateControllerValue" ref="252f8e4d8d9a3f0589ac45f75a97a24a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::AnimationStateControllerValue::~AnimationStateControllerValue           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destructor (parent already virtual). 
<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00216">216</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="447ecf125e179012a1efe947d0343b02"></a><!-- doxytag: member="Ogre::AnimationStateControllerValue::getValue" ref="447ecf125e179012a1efe947d0343b02" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::AnimationStateControllerValue::getValue           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1ControllerValue.html" title="Can either be used as an input or output value.">ControllerValue</a> implementation. 
<p>

<p>Implements <a class="el" href="classOgre_1_1ControllerValue.html#745741bba579264e57d797683d3feacd">Ogre::ControllerValue&lt; T &gt;</a>.</p>

</div>
</div><p>
<a class="anchor" name="91cba7b97509704127ccbbb712a5df6c"></a><!-- doxytag: member="Ogre::AnimationStateControllerValue::setValue" ref="91cba7b97509704127ccbbb712a5df6c" args="(Real value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::AnimationStateControllerValue::setValue           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1ControllerValue.html" title="Can either be used as an input or output value.">ControllerValue</a> implementation. 
<p>

</div>
</div><p>
<a class="anchor" name="b719e69a47857662b71041b9c74e546b"></a><!-- doxytag: member="Ogre::AnimationStateControllerValue::setValue" ref="b719e69a47857662b71041b9c74e546b" args="(T value)=0" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ControllerValue.html">Ogre::ControllerValue</a>&lt; T &gt;::setValue           </td>
          <td>(</td>
          <td class="paramtype">T&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="704120944d35dad25859a6f2bd5f8fc5"></a><!-- doxytag: member="Ogre::AnimationStateControllerValue::mTargetAnimationState" ref="704120944d35dad25859a6f2bd5f8fc5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a>* <a class="el" href="classOgre_1_1AnimationStateControllerValue.html#704120944d35dad25859a6f2bd5f8fc5">Ogre::AnimationStateControllerValue::mTargetAnimationState</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h-source.html#l00210">210</a> of file <a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAnimationState_8h-source.html">OgreAnimationState.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:06 2008
</p>
</body>
</html>
